Skip to content
AGH RuntimeAPI Reference

Daemon

AGH Daemon HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.

Get the daemon status snapshot

GET/api/daemon/status

Response Body

application/json

application/json

curl -X GET "https://loading/api/daemon/status"
{
  "daemon": {
    "active_sessions": 0,
    "http_host": "string",
    "http_port": 0,
    "network": {
      "channels": 0,
      "configured_default_channel": "string",
      "declared_channels": [
        {
          "activation_id": "string",
          "bundle_name": "string",
          "description": "string",
          "extension_name": "string",
          "name": "string",
          "primary": true,
          "profile_name": "string",
          "workspace_id": "string"
        }
      ],
      "delivery_workers": 0,
      "effective_default_channel": "string",
      "effective_default_source": "string",
      "enabled": true,
      "handoff_tagged_events": 0,
      "kind_metrics": [
        {
          "delivered": 0,
          "kind": "string",
          "received": 0,
          "rejected": 0,
          "sent": 0
        }
      ],
      "last_disconnect": "string",
      "listener_host": "string",
      "listener_port": 0,
      "local_peers": 0,
      "messages_delivered": 0,
      "messages_received": 0,
      "messages_rejected": 0,
      "messages_sent": 0,
      "queued_messages": 0,
      "queued_sessions": 0,
      "remote_peers": 0,
      "status": "string",
      "workflow_tagged_events": 0
    },
    "pid": 0,
    "socket": "string",
    "started_at": "2019-08-24T14:15:22Z",
    "status": "string",
    "total_sessions": 0,
    "user_home_dir": "string",
    "version": "string"
  }
}
{
  "error": "string"
}
Empty